We built a new website with Vaadin Flow and added it to Google Search Console. We tried using fetch as google. But we get the following error:

I'm sorry, your browser is not supported

enter image description here

  • your browser is not supported... try using a different browser and then run the test. – Simon Hayter Aug 17 at 11:36
  • What browser are you using when trying fetch as Google? – Stephen Ostermiller Aug 17 at 12:56
  • Please share the URL of a page that treats like that so I can get into it. – Shayan Davoodi Aug 18 at 13:16
  • A screenshot would also help. That would allow us to see if the error were coming from Google or from your website itself. – Stephen Ostermiller Aug 19 at 11:20

That implies that your website will not be letting Google crawl your pages.

Somewhere in your websites code will be a check for browser compatibility. And with that warning message. You want to find that and change things so that Googlebot is not considered an incompatible browser.

Googlebot is based of an old version of the Chrome browser. v41 ish. Maybe your website does not want people on old browsers to look at it?

Your Answer

 
discard

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.